Version: 14.9
Date: 2026-03-29
Author: bgstack15
Message: Suppress taskbar entry for tooltip "window". Upstream declined this patch (https://freefilesync.org/forum/viewtopic.php?t=9898) so it must continue here.
--- a/wx+/tooltip.cpp
+++ b/wx+/tooltip.cpp
@@ -8,6 +8,7 @@
 #include <wx/app.h>
 #include <wx/popupwin.h>
 #include <wx/stattext.h>
+#include <wx/frame.h>
 #include "bitmap_button.h"
 
 using namespace zen;
@@ -22,7 +23,7 @@ const int TIP_WINDOW_OFFSET_DIP = 20;
 class Tooltip::TooltipDlgGenerated : public wxPopupWindow
 {
 public:
-    TooltipDlgGenerated(wxWindow* parent) : wxPopupWindow(parent, wxSIMPLE_BORDER)
+    TooltipDlgGenerated(wxWindow* parent) : wxPopupWindow(parent, wxSIMPLE_BORDER | wxFRAME_NO_TASKBAR)
     {
         SetExtraStyle(this->GetExtraStyle() | wxWS_EX_TRANSIENT);
 
